Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#45004 - [fop] 1.1-2 does not support java-batik 1.8-1

Attached to Project: Community Packages
Opened by Scott Mcleod (OldDragon2A) - Monday, 18 May 2015, 16:57 GMT
Last edited by Doug Newgard (Scimmia) - Tuesday, 19 May 2015, 03:42 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Lukas Fleischer (lfleischer)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 1
Private No

Details

Description:
There have been changes made in Batik 1.8 that are not compatible with FOP 1.1. This only effects the ability to render SVG as far as I can tell.

The /usr/share/java/batik/batik-all.jar listed in the fop.conf classpath has changed to batik-all-1.8.jar. This causes an "Error while initializing the Batik SVG extenstions".

Fixing that issue will lead to "java.lang.NoClassDefFoundError: org/apache/batik/dom/svg/SVGDOMImplementation" which is no longer in that namespace in Batik 1.8.

From what I have read, it is recommended to use the version of Batik included with FOP. Using java-batik 1.7-12 also works as expected.


Additional info:
* fop 1.1-2
* java-batik 1.8-1
* java-batik 1.7-12


Steps to reproduce:
Try to render the embedding.fo or external.fo from the FOP distribution in examples/fo/svg/.
This task depends upon

Comment by Evangelos Foutras (foutrelis) - Sunday, 14 June 2015, 21:41 GMT
I uploaded java-batik 1.8-2 which includes the following symlink:

/usr/share/java/batik/batik-all.jar -> batik-all-1.8.jar

I can now build gpsbabel which previously failed due to this issue.

Can you confirm whether it works for you as well?
Comment by Scott Mcleod (OldDragon2A) - Sunday, 14 June 2015, 22:44 GMT
Tried that and it does resolve the "Error while initializing the Batik SVG extenstions".

No effect of the "java.lang.NoClassDefFoundError: org/apache/batik/dom/svg/SVGDOMImplementation" issue. Have you tried the embedded.fo from the SVG examples?
Comment by Jiri Tyr (jiri.tyr) - Wednesday, 19 August 2015, 07:45 GMT
There is FOP v2.0 (https://xmlgraphics.apache.org/fop/2.0/) which should hopefully fix this problem.
Comment by Scott Mcleod (OldDragon2A) - Thursday, 20 August 2015, 01:05 GMT
We shall see, it is always fun when going up a major version. As a practice it might be better to use the version bundled with FOP though.
Comment by Scott Mcleod (OldDragon2A) - Friday, 02 October 2015, 18:49 GMT
I tried this again with batik-1.8-2 and fop-2.0-1. There is a disconnect between /etc/fop.conf and /usr/share/java/batik/xml-apis-ext-1.3.04.jar. Either the conf file needs to be updated or another symbolic link is needed.
Comment by Lukas Fleischer (lfleischer) - Thursday, 14 April 2016, 05:36 GMT
Does this still happen with 2.1-1?
Comment by Scott Mcleod (OldDragon2A) - Thursday, 14 April 2016, 15:49 GMT
Yes, fop.conf still references "xml-apis-ext.jar" and java-batik 1.8-2 only provides "xml-apis-ext-1.3.04.jar".

Loading...